package cn.axzo.workflow.common.enums;

/**
 * 参建单位类型枚举
 * <p>
 * 拷贝自 cn.axzo.orgmanax.dto.cooperateship.enums.CooperateShipTypeEnum
 *
 * @author wangli
 * @since 2025-08-13 14:51
 */
public enum CooperateShipTypeEnum {
    PROJ_PRIMARY_CONTRACTING_UNIT(1, "施工总承包"),
    PROJ_CONSTRUCTION_UNIT(2, "建设单位"),
    PROJ_SUPERVISION_UNIT(3, "监理单位"),
    PROJ_LABOR_SUBCONTRACTING(4, "劳务分包"),
    PROJ_PROFESSIONAL_SUBCONTRACTING(5, "专业承包"),
    OMS(6, "OMS"),
    ENT_COMMON(7, "企业通用"),
    ENT_TEAM(8, "企业内班组"),
    PROJ_TEAM(9, "项目内班组"),
    ENT_GROUP(10, "企业内小组"),
    PROJ_GROUP(11, "项目内小组"),
    SURVEY_UNIT(12, "地勘单位"),
    DESIGN_UNIT(13, "设计单位"),
    OTHER(30, "其他");

    private final Integer code;
    private final String desc;

    CooperateShipTypeEnum(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

}
